﻿/* Please see documentaton at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}

body {
    /* Margin bottom by footer height */
    margin-bottom: 60px;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 60px; /* Vertically center the text there */
}


.employee-order {
    background-color: #DEE8FC;
}

.control-freecopy-order {
    background-color: #f7e0d6;
}

.modal-content-cfo {

    position: relative;
    display: -ms-flexbox;
    display: flex;
    display: inline-table;
    -ms-flex-direction: column;
    flex-direction: column;
    width: 100%;
    pointer-events: auto;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid rgba(0, 0, 0, 0.2);
    border-radius: 0.3rem;
    outline: 0;
}


.deliveryinformation {
    background-color: #fff;
}

.deliveryinformation .order-history-style {
    box-shadow: 0 10px 20px 0 #cbb6ad;
}

.deliveryinformation .cart-style {
    box-shadow: 0 10px 20px 0 #cbb6ad;
}

.deliveryinformation.btn-primary {
    background-color: #f57842;
    border-color: #f57842;
}

.deliveryinformation.page-link {
    color: #f57842;
}

.control-freecopy-order .page-item.active .page-link {
    background-color: #f57842;
    border-color: #f57842;
}

.review-copy-order {
    background-color: #eacbfd;
}

.author-order {
    background-color: #ffdee3
}

.author-order .cart-style {
    background-color: #ffdee3;
    background: #FFF;    
    padding-left: 0rem;
    padding-right: 0rem;
    border-radius: 0 0 5px 5px;
}

.cart-style {
    background: #FFF;
    padding: 2rem;
    border-radius: 0 0 5px 5px;
}

.order-history-style {
    background: #FFF;
    padding: 2rem;
    border-radius: 0 0 5px 5px;
}

.edi-order {
    background-color: #c6ffbe;
}

.edi-order .btn-primary {
    background-color: #238b15;
    border-color: #238b15;
}

.edi-order .page-link {
    color: #238b15;
}

.edi-order .cart-style {
    box-shadow: 0 10px 20px 0 #b1bed7;
}

.edi-order .page-item.active .page-link {
    background-color: #238b15;
    border-color: #238b15;
}

.edi-order .order-history-style {
    box-shadow: 0 10px 20px 0 #97b593;
}

.log-history{
    background-color: #fff
}

.log-history .log-history-style {
    box-shadow: 0 10px 20px 0 #cbb6ad;
    padding: 2rem;
}

.log-details-table {
    display: block;
    overflow: auto;
}

.log-status-error{
    color: white;
    background-color:red;
}
.log-status-warning {
    color: black;
    background-color: yellow;
}
.log-status-informaton {
    color: white;
    background-color: green;
}
.employee-order .cart-style {
    box-shadow: 0 10px 20px 0 #b1bed7;
}

.author-order .order-history-style {
    box-shadow: 0 10px 20px 0 #ffc9d2;
}

.author-order .cart-style {
    box-shadow: 0 10px 20px 0 #ffc9d2;
}

.author-order .btn-primary {
    background-color: #ff6b85;
    border-color: #ff6b85;
}

.author-order .page-link {
    color: #ff6b85;
}

.author-order .page-item.active .page-link {
    background-color: #ff6b85;
    border-color: #ff6b85;
}

.author-order #author-order-table td input {
    font-size: 0.5em;
}

.author-order .article {
    padding: 2rem;
}

.control-freecopy-order .order-history-style {
    box-shadow: 0 10px 20px 0 #cbb6ad;
}

.control-freecopy-order .cart-style {
    box-shadow: 0 10px 20px 0 #cbb6ad;
}

.control-freecopy-order .btn-primary {
    background-color: #f57842;
    border-color: #f57842;
}

.control-freecopy-order .page-link {
    color: #f57842;
}

.control-freecopy-order .page-item.active .page-link {
    background-color: #f57842;
    border-color: #f57842;
}


.review-copy-order .cart-style {
    box-shadow: 0 10px 20px 0 #c89be5;
}

.review-copy-order tbody {
    font-size: 0.7em;
}

.review-copy-order .btn-primary {
    background-color: #9449ff;
    border-color: #9449ff;
}




.user-profile {
    padding: 4rem;
    box-shadow: 0 10px 20px 0 #cbb6ad;
    border-radius: 0 0 5px 5px;
}


.user-item {
    margin: 5px;
}

.icon-btn {
    line-height: 1;
}

.user-item a {
    text-decoration: none;
    color: black;
}


/* Onhover on question mark symbol
------------------------------------------------- */
.questionMarkDiv {
    display: flex;
    justify-content: center;
    align-items: center;
}

.questionMarkSymbol:hover {
    content: attr(title);
    display: inline-block;
}
/*  Address book table
    ----------------------------------------------*/
.table-condensed {
    font-size: 14px;
}

.tableFixHead {
    overflow: auto;
    height: 400px;
}

.tableFixHead thead th {
    position: sticky;
    top: 0;
    z-index: 1;
}
.pillbox {
    width: 100%;      
}

.multi-select {
    margin: 20px;    
}

#cart-container {
    margin-bottom:20px;
    margin-top:20px;
    border:solid 1px;
}

#cart-container #create-order-btn {
    margin: 10px;
}

#cart-title{    
    margin:10px;
}

.customer-checkbox {
    height: calc(1.5em + 0.75rem + 2px);

}

.edit-customer {
    max-width: 800px;
    margin: auto;
    padding: 20px;
    background-color: #fff;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1)

}

.multiple-selection {
    width: 300px;
    background-color: #BCC2C1;
}

.select-box {
    position: relative;
}

.select-box select {
    width: 100%;
    font-weight: bold;
}

.over-select {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
}

#check-boxes {
    display: none;
    border: 1px #8DF5E4 solid;
}

#check-boxes label {
    display: block;
}

#check-boxes label:hover {
    background-color: #4F615E;
}

.customer-label {
    margin-bottom: 0.5rem;
}
}

.deliveryinformation-search-modal {
    display: inline-table;
}